Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## org.w3c.dom
Interface DocumentType

All Superinterfaces:
  Node

All Known Implementing Classes:
  DTD, XDBDocumentType

      public interface DocumentType

extends Node

Each `Document` has a `doctype` attribute whose value is either `null` or a `DocumentType` object. The `DocumentType` interface in the DOM Core provides an interface to the list of entities that are defined for the document, and little else because the effect of namespaces and the various XML schema efforts on DTD representation are not clearly understood as of this writing.

The DOM Level 2 doesn't support editing `DocumentType` nodes.

See also the Document Object Model (DOM) Level 2 Core Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`NamedNodeMap` `getEntities()` A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD.
`java.lang.String` `getInternalSubset()` The internal subset as a string.The actual content returned depends on how much information is available to the implementation.
`java.lang.String` `getName()` The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
`NamedNodeMap` `getNotations()` A `NamedNodeMap` containing the notations declared in the DTD.
`java.lang.String` `getPublicId()` The public identifier of the external subset.
`java.lang.String` `getSystemId()` The system identifier of the external subset.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getName

    java.lang.String getName()

  The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.

### getEntities

    NamedNodeMap getEntities()

  A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD. Parameter entities are not contained. Duplicates are discarded. For example in:

      <!DOCTYPE
       ex SYSTEM "ex.dtd" [ <!ENTITY foo "foo"> <!ENTITY bar
       "bar"> <!ENTITY bar "bar2"> <!ENTITY % baz "baz">
       ]> <ex/>

  the interface provides access to `foo` and the first declaration of `bar` but not the second declaration of `bar` or `baz`. Every node in this map also implements the `Entity` interface.
  The DOM Level 2 does not support editing entities, therefore `entities` cannot be altered in any way.

### getNotations

    NamedNodeMap getNotations()

  A `NamedNodeMap` containing the notations declared in the DTD. Duplicates are discarded. Every node in this map also implements the `Notation` interface.
  The DOM Level 2 does not support editing notations, therefore `notations` cannot be altered in any way.

### getPublicId

    java.lang.String getPublicId()

  The public identifier of the external subset.
  Since:
    DOM Level 2

### getSystemId

    java.lang.String getSystemId()

  The system identifier of the external subset.
  Since:
    DOM Level 2

### getInternalSubset

    java.lang.String getInternalSubset()

  The internal subset as a string.The actual content returned depends on how much information is available to the implementation. This may vary depending on various parameters, including the XML processor used to build the document.
  Since:
    DOM Level 2

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2000 W3C® (MIT, INRIA, Keio), All Rights Reserved.